<?php
/**
 * login.php
 *
 * UI code for the login popup
 */

add_action( 'login_head', 'myspaceid_wp_login_head');
add_action( 'login_form', 'myspaceid_wp_login_form');
add_action( 'register_form', 'myspaceid_wp_register_form', 12);

function myspaceid_wp_login_head($no_redirect = null) {
	$script_path = myspaceid_plugin_url() . '/myspaceid.rev.0.js';
	echo "<script type='text/javascript' src='$script_path'></script>";

	$return_to = openid_service_url('myspaceid', 'consumer', 'login_post');
	$realm = openid_trust_root($return_to);
	$consumer_key = get_option(MYSPACEID_APP_KEY_OPTION);
	/* $redirect_to = get_option('home'); */

?>	
	<script type="text/javascript">
	function myspaceid_login() {
		msOptions.realm = '<?php echo $realm; ?>';
		msOptions.returnTo = '<?php echo $return_to; ?>';
		msOptions.consumer = '<?php echo $consumer_key; ?>';
		var ms = new MySpaceID(msOptions);
		ms.logIn();
	}

	function success(redirect_to) {
		//alert(rand);
		<?php
				if (!$no_redirect)
					echo 'window.location.href = redirect_to;';
				else
					echo 'window.location.reload(true);';
		?>
	}

	function failed(rand) {
		/* $('#login div.logout span').addClass("logout_isSignedout"); */
		/* $('#login div.logout span').removeClass("logout_isSignedin"); */
	}
	</script>
	<?php
}

function myspaceid_wp_login_form() {
	$button_file = 'myspaceid-php-sdk/source/MySpaceID/images/MySpaceID-loginwith-156x28.png';
	$button_path = myspaceid_plugin_url() . '/' . $button_file;
	
	echo <<< LOGIN_FORM_END

		<a href='#login'
				 onclick='myspaceid_login()' >
		  <img border='0' src='$button_path' alt='Login with MySpaceID' />
		</a>
LOGIN_FORM_END;
}

function myspaceid_wp_register_form() {
	$button_file = 'myspaceid-php-sdk/source/MySpaceID/images/MySpaceID-loginwith-156x28.png';
	$button_path = myspaceid_plugin_url() . '/' . $button_file;
	
	echo <<< REGISTER_FORM_END

		<script type='text/javascript'>
	jQuery(function() {
			jQuery("#myspaceid_login").insertBefore("#openid_split");
		});
		</script>
		<div id='myspaceid_login' style="width:100%;">
		<hr id="myspaceid_split" style="clear: both; margin-bottom: 1.0em; border: 0; border-top: 1px solid #999; height: 1px;" />
	Or
		<a href='#login' onclick='myspaceid_login()' >
		  <img border='0' src='$button_path' alt='Login with MySpaceID' />
		</a>
	</div>
REGISTER_FORM_END;
}

?>